Uploaded image for project: 'Gradle'
  1. Gradle
  2. GRADLE-2294

eclipse and idea plugin do not fully respect the dependency order

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Resolution: Won't Fix
    • Affects Version/s: None
    • Fix Version/s: None

      Description

      I didn't find and explicit ticket for that, however there are related tickets out there that should be merged / closed when we fix this ticket.

      Eclipse and Idea plugin (and consequently the tooling api) provide a list of classpath libraries that do not fully respect the order they are declared in the build (and consequently, the order that is used to run tests, etc.). For example:

      dependencies {
        compile files('foo.jar')
        compile project(":someProj")
        compile "junit:junit:4.10"
        compile files('bar.jar')
        compile project(":otherProj")
        compile "org.mockito:mockito-core:1.9.0"
      }
      

      Try to generate classpath for IDEA or Eclipse - the order of dependencies is different than expected.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            szczepiq Szczepan Faber
            Votes:
            6 Vote for this issue
            Watchers:
            8 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: